Re: 2.0.x and 2.2.x

On Tue, 2003-01-07 at 11:28, Johan Dahlin wrote:
> > I updated my RH8.0 with Gtk2.2.0 and friends(Glib, Atk
> > and Pango), and also Gtkmm2.1.2 from the sources. 
> > Consequently, several Gnome programs (even the
> > terminal window) crashes when I restart. I have no
> > troubles in making and installing the packages. Any
> > idea about that? 
> Did you upgrade libgnome[ui] and libbonobo[ui] too?
> (and all their dependencies)
> I know that glade crashes on startup unless you upgrade all the gnome
> libraries.

The issue is that libgnomeui 2.0.x creates an abstract widget, which is
not valid. GTK+ 2.2.0 actually disallows this and this often results in
crashes due to null pointers.

Upgrading libgnomeui to 2.1.x will fix this.

Ross Burton                                 mail: ross burtonini com
                                           jabber: ross nerdfest org
 PGP Fingerprint: 1A21 F5B0 D8D0 CFE3 81D4 E25A 2D09 E447 D0B4 33DF

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]